Ubuntu

NVRM: os_raise_smp_barrier(), invalid context!

Reported by Alvin on 2010-10-07
502
This bug affects 99 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
Low
Alberto Milone

Bug Description

dmesg output is full of these messages:
NVRM: os_raise_smp_barrier(), invalid context!

Other than the errors being spammed and dmesg being unusable, I do not notice any immediate problems with the nVidia driver.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: nvidia-current 260.19.06-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13 04:29:19 PDT 2010
 GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
Architecture: amd64
Date: Thu Oct 7 14:39:24 2010
DkmsStatus:
 nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
 nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
GdmLog:
 Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed with exit code 1: QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory
 QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
 Bus::open: Can not get ibus-daemon's address.
 IBusInputContext::createInputContext: no connection to ibus-daemon
 cat: /var/log/gdm/:0.log: No such file or directory
GdmLog1: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.1'] failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or directory
GdmLog2: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.2'] failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or directory
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.35-22-generic root=/dev/mapper/vg0-root ro splash
ProcEnviron:
 LANGUAGE=
 LANG=C
 SHELL=/bin/bash
SourcePackage: nvidia-graphics-drivers
dmi.bios.date: 09/07/2010
dmi.bios.vendor: Intel Corp.
dmi.bios.version: TMIBX10H.86A.0039.2010.0907.1056
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: DQ57TM
dmi.board.vendor: Intel Corporation
dmi.board.version: AAE70931-401
dmi.chassis.type: 3
dmi.modalias: dmi:bvnIntelCorp.:bvrTMIBX10H.86A.0039.2010.0907.1056:bd09/07/2010:svntranstecAG:pn:pvr:rvnIntelCorporation:rnDQ57TM:rvrAAE70931-401:cvn:ct3:cvr:
dmi.sys.vendor: transtec AG
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: maverick
 architecture: x86_64
 kernel: 2.6.35-22-generic

Alvin (alvind) wrote :
agklein1 (andyklein) wrote :

Same problem, same kernel, same graphics driver version... but different hardware (GeForce GT 330M instead of OP's GeForce GT 220).

Øyvind Stegard (oyvinst) wrote :

I am getting this on Ubuntu Maverick x86-64, using 260.19.06 beta nvidia driver, for the following graphics hardware:
- Nvidia NVS 3100M (laptop)
- Nvidia GeForce 8600 GT (desktop)

I reverted back to Lucid, since this bug seems to screw up suspend/resume badly on the laptop-side, and generally does not look like a good thing. The stable 256.53 driver performs poorly on Maverick and 195.36.24 (really, the last nvidia driver that has been stable for me) only works on Xserver that comes with Lucid.

Rui Leal (ralleal) wrote :

Same with me, with freshly installed Ubuntu:

Ubuntu Maverick x86_64, 260.19.06 nvidia driver, Nvidia 310M graphics card.

Ryan Patterson (patterya) wrote :

Same here. Fresh installation of 10.10 amd64 desktop. Nvidia 3100M graphics in a Lenovo T510.

Joshua R. Poulson (jrp) wrote :

Same here, Lenovo W510 with 10.10 i686-pae kernel (Nvidia Quadro 880M).

Jer (jer-jers) wrote :

Same here on fresh Mavrick install. Sony Vaio w/Nvidia 330M. System locks up right after starting X.

Rurik Krylov (rurikk) wrote :

Same on Maverick amd64, Lenovo T510 with Nvidia NVS 3100M

Same (i.e. frequent NVRM... records in syslog, co-occuring with resume from suspend freeze) on Dell E6410 with Nvidia NVS 3100M. Will downgrade/reinstall to Lucid solve the problem?

Alvin (alvind) on 2010-10-13
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
Øyvind Stegard (oyvinst) wrote :

Daniel Karlsson wrote:
> Same (i.e. frequent NVRM... records in syslog, co-occuring with resume from suspend freeze)
> on Dell E6410 with Nvidia NVS 3100M. Will downgrade/reinstall to Lucid solve the problem?

I downgraded to Lucid on my Dell E6510 laptop, because I need it rock solid/stable with working suspend/resume for my job. Using nvidia driver 195.36.24 + up to date Lucid is very stable for me (E6510 also as the NVS 3100M graphics adapter). Once I saw those NVRM errors with the nvidia 260 beta driver (and no official comments from nvidia about it being adressed) and realized that 256.X was unusable due to performance problems (and also failing suspend) *and* that 195.36.24 doesn't work with xserver 1.9, downgrade was a fact. A pain, yes indeed, but I need stuff that works right now.

Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → Low
bagl0312 (bagl0312) wrote :

Same for me on DELL precision M4500 workstation and graphic card Quadro FX 880M with ubuntu 10.10 64bits.
Lots of error in dmesg and problems with suspend/resume

Øyvind Stegard (oyvinst) wrote :

Looks like new official nvidia driver release is out .. version is 260.19.12, http://www.nvidia.com/object/unix.html . No mention of anything in changelog about "Linux kernel interaction bug fixes" or the likes. Mostly just lots of additions and new features (doesn't look too promising for those of us suffering from major problems with the latest nvidia drivers). However, it would be cool to know if the new release resolves this bug.

Andreas Nilsson (andrnils) wrote :

I also have the NVRAM errors in the logs. However I haven't noticed any problems from it, suspends works perfectly.

Hardware: nVidia quadro nvs 3100m, Lenovo t510 laptop.

auxbuss (launchpad-auxbuss) wrote :

Kernel 260.19.12 didn't improve matters here :( Back to 256.53 for me.

auxbuss (launchpad-auxbuss) wrote :

Seems that the Nvidia forum is down too. I'm getting 404s on http://www.nvnews.net/vbulletin/, so can't report there atm.

Andreas Nilsson <email address hidden> writes:

> I also have the NVRAM errors in the logs. However I haven't noticed any
> problems from it, suspends works perfectly.
>
> Hardware: nVidia quadro nvs 3100m, Lenovo t510 laptop.

That can make sense for me, since suspend on my Dell E6510 with NVS
3100M hasn't worked properly since (and including) nvidia driver 256.X
(which does not have the invalid barrier context errors). So
suspend/resume can very well be caused by some other problem.

Øyvind Stegard (oyvinst) wrote :

auxbuss <email address hidden> writes:

> Seems that the Nvidia forum is down too. I'm getting 404s on
> http://www.nvnews.net/vbulletin/, so can't report there atm.

It's been down all day here (CEST).

Extender (msveshnikov) wrote :

Same for me on DualCore E6500 desktop, GT240, Ubuntu 10.10 64bits.
Lots of error in dmesg and problems with suspend/resume, problems with virtual terminal switch.
Please consider at least Medium priority for this bug as many people are affected and no workaround except downgrade to Lucid.

Extender (msveshnikov) wrote :

I am waiting 260.19.12 in xswat for testing. Maybe freeze is fixed? Please subscribe Canonical nvidia stuff.

Extender (msveshnikov) wrote :

Maybe that is kernel (not nvidia) problem - why 2.6.35.5 still not in Maverick? NVidia stuff is very quiet on this issue....

Øyvind Stegard (oyvinst) wrote :

Extender <email address hidden> writes:

> Maybe that is kernel (not nvidia) problem - why 2.6.35.5 still not in
> Maverick? NVidia stuff is very quiet on this issue....

Yes, that might also be the case. I haven't tested the very latest
nvidia drivers on 2.6.32-based Lucid kernel.

No comment from nvidia yet, on nvnews.net.

Extender (msveshnikov) wrote :

Yes!! For me, 260.19.12 fixed that bug!! No spam in syslog, try suspend/resume later!

VPablo (villumar) wrote :

Me too. After the installation of 260.19.12 from x-swat PPA there is no more this message on dmesg.

Claudio Melis (mebitek) wrote :

yeah,
dmesg spam is disappeared and suspend works fine!!!!

my card is GeForce GT320M

2010/10/15 VPablo <email address hidden>

> Me too. After the installation of 260.19.12 from x-swat PPA there is no
> more this message on dmesg.
>
> --
> NVRM: os_raise_smp_barrier(), invalid context!
> https://bugs.launchpad.net/bugs/656279
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: Confirmed
>
> Bug description:
> dmesg output is full of these messages:
> NVRM: os_raise_smp_barrier(), invalid context!
>
> Other than the errors being spammed and dmesg being unusable, I do not
> notice any immediate problems with the nVidia driver.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: nvidia-current 260.19.06-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
> 04:29:19 PDT 2010
> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> Architecture: amd64
> Date: Thu Oct 7 14:39:24 2010
> DkmsStatus:
> nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
> nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
> GdmLog:
> Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed with
> exit code 1: QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch
> failed: No such file or directory
> QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
> Bus::open: Can not get ibus-daemon's address.
> IBusInputContext::createInputContext: no connection to ibus-daemon
> cat: /var/log/gdm/:0.log: No such file or directory
> GdmLog1: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.1']
> failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or
> directory
> GdmLog2: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.2']
> failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or
> directory
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.35-22-generic
> root=/dev/mapper/vg0-root ro splash
> ProcEnviron:
> LANGUAGE=
> LANG=C
> SHELL=/bin/bash
> SourcePackage: nvidia-graphics-drivers
> dmi.bios.date: 09/07/2010
> dmi.bios.vendor: Intel Corp.
> dmi.bios.version: TMIBX10H.86A.0039.2010.0907.1056
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: DQ57TM
> dmi.board.vendor: Intel Corporation
> dmi.board.version: AAE70931-401
> dmi.chassis.type: 3
> dmi.modalias:
> dmi:bvnIntelCorp.:bvrTMIBX10H.86A.0039.2010.0907.1056:bd09/07/2010:svntranstecAG:pn:pvr:rvnIntelCorporation:rnDQ57TM:rvrAAE70931-401:cvn:ct3:cvr:
> dmi.sys.vendor: transtec AG
> glxinfo: Error: [Errno 2] No such file or directory
> system:
> distro: Ubuntu
> codename: maverick
> architecture: x86_64
> kernel: 2.6.35-22-generic
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/656279/+subscribe
>

Claudio Melis (mebitek) wrote :

yeah,
dmesg spam disappeared and suspend works fine

my card is GeForce GT 320M

Extender (msveshnikov) on 2010-10-15
Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Fix Released
Alberto Milone (albertomilone) wrote :

I haven't updated the driver yet, therefore the bug is not fixed in Ubuntu.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Fix Released → Triaged
assignee: nobody → Alberto Milone (albertomilone)
Øyvind Stegard (oyvinst) wrote :

I have only tested 260.19.12 on Lucid 2.6.32-based kernel, but it looks good ! Suspend/resume works and I see no strange NVRM kernel error messages.

bagl0312 (bagl0312) wrote :

I tried 260.19.12 on DELL precision M4500 workstation and graphic card Quadro FX 880M with ubuntu 10.10 64bits.
dmesg errors disappeared but there are still problems with suspend/resume. The machine goes in suspend mode but never wakeup

Extender (msveshnikov) wrote :

@bagl0312, you have another bug (maybe in kernel or whatever else)

Michael Mercier (mickours) wrote :

Installing last nvidia driver works for my 310M too

lostthetrail (lostthetrail) wrote :

Installed 260.19.12, it fixed kernel error messages, but did not fix the suspend/wakeup problems.
NVS 310M on a Dell e6410

See bug #578673 for suspend resume problems. I use kernel 2.6.36-rc8 and suspend/resume works fine. https://bugs.launchpad.net/bugs/578673

bagl0312 (bagl0312) wrote :

I confirm that with kernel 2.6.36 the suspend/resume works on dell precision M4500.
I am also using latest nvidia drivers 260.19.12
See https://bugs.launchpad.net/ubuntu/+source/linux/+bug/578673/comments/134

Claudio Melis (mebitek) wrote :
Download full text (3.3 KiB)

Before I say that all works fine for me...
But only dmesg spam disappear.
X goes on 100% cpu usage after suspend and make the system unusable.
Someone have the same problem?

my card is nvidia GT 320M

2010/10/21 bagl0312 <email address hidden>

> I confirm that with kernel 2.6.36 the suspend/resume works on dell
> precision M4500.
> I am also using latest nvidia drivers 260.19.12
> See
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/578673/comments/134
>
> --
> NVRM: os_raise_smp_barrier(), invalid context!
> https://bugs.launchpad.net/bugs/656279
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: Triaged
>
> Bug description:
> dmesg output is full of these messages:
> NVRM: os_raise_smp_barrier(), invalid context!
>
> Other than the errors being spammed and dmesg being unusable, I do not
> notice any immediate problems with the nVidia driver.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: nvidia-current 260.19.06-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
> 04:29:19 PDT 2010
> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> Architecture: amd64
> Date: Thu Oct 7 14:39:24 2010
> DkmsStatus:
> nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
> nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
> GdmLog:
> Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed with
> exit code 1: QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch
> failed: No such file or directory
> QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
> Bus::open: Can not get ibus-daemon's address.
> IBusInputContext::createInputContext: no connection to ibus-daemon
> cat: /var/log/gdm/:0.log: No such file or directory
> GdmLog1: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.1']
> failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or
> directory
> GdmLog2: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.2']
> failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or
> directory
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.35-22-generic
> root=/dev/mapper/vg0-root ro splash
> ProcEnviron:
> LANGUAGE=
> LANG=C
> SHELL=/bin/bash
> SourcePackage: nvidia-graphics-drivers
> dmi.bios.date: 09/07/2010
> dmi.bios.vendor: Intel Corp.
> dmi.bios.version: TMIBX10H.86A.0039.2010.0907.1056
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: DQ57TM
> dmi.board.vendor: Intel Corporation
> dmi.board.version: AAE70931-401
> dmi.chassis.type: 3
> dmi.modalias:
> dmi:bvnIntelCorp.:bvrTMIBX10H.86A.0039.2010.0907.1056:bd09/07/2010:svntranstecAG:pn:pvr:rvnIntelCorporation:rnDQ57TM:rvrAAE70931-401:cvn:ct3:cvr:
> dmi.sys.vendor: transtec AG
> glxinfo: Error: [Errno 2] No such file or directory
> system:
> distro: Ubuntu
> codename: maverick
> architecture: x86_64
> kernel: 2.6.35-22-gene...

Read more...

Øyvind Stegard (oyvinst) wrote :

Claudio Melis <email address hidden> writes:

> Before I say that all works fine for me...
> But only dmesg spam disappear.
> X goes on 100% cpu usage after suspend and make the system unusable.
> Someone have the same problem?
>
> my card is nvidia GT 320M

I'm also having certain stability issues after resume from suspend with
the latest drivers (on Lucid). Sometimes Xorg starts lagging horribly
with long stalls immediately after resume. Switch to console and back
fixes the problem. But I can't say whether that is related to this bug
or not. I filed a bug report at nvnews.net here:
http://www.nvnews.net/vbulletin/showthread.php?t=156322

Claudio Melis (mebitek) wrote :
Download full text (3.6 KiB)

my error is:

NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt
context

X uses 100% cpu and it is unusuable...

2010/10/22 Øyvind Stegard <email address hidden>

> Claudio Melis <email address hidden> writes:
>
> > Before I say that all works fine for me...
> > But only dmesg spam disappear.
> > X goes on 100% cpu usage after suspend and make the system unusable.
> > Someone have the same problem?
> >
> > my card is nvidia GT 320M
>
> I'm also having certain stability issues after resume from suspend with
> the latest drivers (on Lucid). Sometimes Xorg starts lagging horribly
> with long stalls immediately after resume. Switch to console and back
> fixes the problem. But I can't say whether that is related to this bug
> or not. I filed a bug report at nvnews.net here:
> http://www.nvnews.net/vbulletin/showthread.php?t=156322
>
> --
> NVRM: os_raise_smp_barrier(), invalid context!
> https://bugs.launchpad.net/bugs/656279
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: Triaged
>
> Bug description:
> dmesg output is full of these messages:
> NVRM: os_raise_smp_barrier(), invalid context!
>
> Other than the errors being spammed and dmesg being unusable, I do not
> notice any immediate problems with the nVidia driver.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: nvidia-current 260.19.06-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
> 04:29:19 PDT 2010
> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> Architecture: amd64
> Date: Thu Oct 7 14:39:24 2010
> DkmsStatus:
> nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
> nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
> GdmLog:
> Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed with
> exit code 1: QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch
> failed: No such file or directory
> QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
> Bus::open: Can not get ibus-daemon's address.
> IBusInputContext::createInputContext: no connection to ibus-daemon
> cat: /var/log/gdm/:0.log: No such file or directory
> GdmLog1: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.1']
> failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or
> directory
> GdmLog2: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.2']
> failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or
> directory
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.35-22-generic
> root=/dev/mapper/vg0-root ro splash
> ProcEnviron:
> LANGUAGE=
> LANG=C
> SHELL=/bin/bash
> SourcePackage: nvidia-graphics-drivers
> dmi.bios.date: 09/07/2010
> dmi.bios.vendor: Intel Corp.
> dmi.bios.version: TMIBX10H.86A.0039.2010.0907.1056
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: DQ57TM
> dmi.board.vendor: Intel Corporation
> dmi.board.version: AAE70931-401
> dmi.chassis.type: 3...

Read more...

Extender (msveshnikov) wrote :

@Claudio, add x-swat PPA and update

Claudio Melis (mebitek) wrote :

Added, now I have installed nvidia driver version 260.19.12-0ubuntu1~xup2
But problem still remains

2010/10/23 Extender <email address hidden>

> @Claudio, add x-swat PPA and update
>
> --
> NVRM: os_raise_smp_barrier(), invalid context!
> https://bugs.launchpad.net/bugs/656279
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: Triaged
>
> Bug description:
> dmesg output is full of these messages:
> NVRM: os_raise_smp_barrier(), invalid context!
>
> Other than the errors being spammed and dmesg being unusable, I do not
> notice any immediate problems with the nVidia driver.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: nvidia-current 260.19.06-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
> 04:29:19 PDT 2010
> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> Architecture: amd64
> Date: Thu Oct 7 14:39:24 2010
> DkmsStatus:
> nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
> nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
> GdmLog:
> Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed with
> exit code 1: QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch
> failed: No such file or directory
> QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
> Bus::open: Can not get ibus-daemon's address.
> IBusInputContext::createInputContext: no connection to ibus-daemon
> cat: /var/log/gdm/:0.log: No such file or directory
> GdmLog1: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.1']
> failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or
> directory
> GdmLog2: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.2']
> failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or
> directory
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.35-22-generic
> root=/dev/mapper/vg0-root ro splash
> ProcEnviron:
> LANGUAGE=
> LANG=C
> SHELL=/bin/bash
> SourcePackage: nvidia-graphics-drivers
> dmi.bios.date: 09/07/2010
> dmi.bios.vendor: Intel Corp.
> dmi.bios.version: TMIBX10H.86A.0039.2010.0907.1056
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: DQ57TM
> dmi.board.vendor: Intel Corporation
> dmi.board.version: AAE70931-401
> dmi.chassis.type: 3
> dmi.modalias:
> dmi:bvnIntelCorp.:bvrTMIBX10H.86A.0039.2010.0907.1056:bd09/07/2010:svntranstecAG:pn:pvr:rvnIntelCorporation:rnDQ57TM:rvrAAE70931-401:cvn:ct3:cvr:
> dmi.sys.vendor: transtec AG
> glxinfo: Error: [Errno 2] No such file or directory
> system:
> distro: Ubuntu
> codename: maverick
> architecture: x86_64
> kernel: 2.6.35-22-generic
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/656279/+subscribe
>

With nvidia-current my system freezes hard every hour on maverick.

bagl0312 (bagl0312) wrote :

People still having problems with suspend/resume may also try this (thanks to Brian who sent me this advice)

Add the following line:

GRUB_CMDLINE_LINUX="acpi_sleep=nonvs"

to /etc/default/grub

Then make:
sudo update-grub
and reboot

Suspend/resume should work now

More about this issue
http://ubuntuforums.org/showthread.php?t=1596545&page=4
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/656631

It worked with kernel 2.6.35 and nvidia 260.19.12 on my dell M4500

Claudio Melis (mebitek) wrote :
Download full text (3.5 KiB)

@bagl0312

your advice not works for my GT320M Nvidia card.
Still high cpu usage that make my X unusable.

2010/10/24 bagl0312 <email address hidden>

> People still having problems with suspend/resume may also try this
> (thanks to Brian who sent me this advice)
>
> Add the following line:
>
> GRUB_CMDLINE_LINUX="acpi_sleep=nonvs"
>
> to /etc/default/grub
>
> Then make:
> sudo update-grub
> and reboot
>
> Suspend/resume should work now
>
> More about this issue
> http://ubuntuforums.org/showthread.php?t=1596545&page=4
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/656631
>
> It worked with kernel 2.6.35 and nvidia 260.19.12 on my dell M4500
>
> --
> NVRM: os_raise_smp_barrier(), invalid context!
> https://bugs.launchpad.net/bugs/656279
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: Triaged
>
> Bug description:
> dmesg output is full of these messages:
> NVRM: os_raise_smp_barrier(), invalid context!
>
> Other than the errors being spammed and dmesg being unusable, I do not
> notice any immediate problems with the nVidia driver.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: nvidia-current 260.19.06-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
> 04:29:19 PDT 2010
> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> Architecture: amd64
> Date: Thu Oct 7 14:39:24 2010
> DkmsStatus:
> nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
> nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
> GdmLog:
> Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed with
> exit code 1: QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch
> failed: No such file or directory
> QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
> Bus::open: Can not get ibus-daemon's address.
> IBusInputContext::createInputContext: no connection to ibus-daemon
> cat: /var/log/gdm/:0.log: No such file or directory
> GdmLog1: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.1']
> failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or
> directory
> GdmLog2: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.2']
> failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or
> directory
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.35-22-generic
> root=/dev/mapper/vg0-root ro splash
> ProcEnviron:
> LANGUAGE=
> LANG=C
> SHELL=/bin/bash
> SourcePackage: nvidia-graphics-drivers
> dmi.bios.date: 09/07/2010
> dmi.bios.vendor: Intel Corp.
> dmi.bios.version: TMIBX10H.86A.0039.2010.0907.1056
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: DQ57TM
> dmi.board.vendor: Intel Corporation
> dmi.board.version: AAE70931-401
> dmi.chassis.type: 3
> dmi.modalias:
> dmi:bvnIntelCorp.:bvrTMIBX10H.86A.0039.2010.0907.1056:bd09/07/2010:svntranstecAG:pn:pvr:rvnIntelCorporation:rnDQ57TM:rvrAAE70931-401:cvn:ct3:cvr:
> dmi.sys.vendor: transtec AG
...

Read more...

Michal (mikeos) wrote :

I confirm that on Dell Latitude E6410 with nVidia card the GRUB option "acpi_sleep=nonvs" resolves the resume issue on standard Maverick kernel 2.6.35-22-generic x86_64.

On kernels 2.6.36 this GRUB option isn't necessary and the machine resumes very well.

There is one exception, valid for both 2.6.35 and 2.6.36 kernels (i suspect that for any other kernels as well) resume fails systematically when running on battery power and CPU SpeedStep is enabled in BIOS. This is of course unrelated to this topic. For info and if there is an E6410 owner reading :
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/578673/comments/135

Andrew Hutchings (linuxjedi) wrote :

On my Del E6510 upgraded Nvidia driver using:
https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

Messages gone, avg. idle cpu time lowered.

Time will tell if it also fixed the random video hardware lockups I experienced.

Claudio Melis (mebitek) wrote :
Download full text (3.2 KiB)

I upgraded my bios on my HP dv6-2129el to latest version.
Now suspend / resume works better but system needs to reboot (cpu goes high
and down on X now)

2010/10/24 Andrew Hutchings <email address hidden>

> On my Del E6510 upgraded Nvidia driver using:
> https://launchpad.net/~ubuntu-x-swat/+archive/x-updates
>
> Messages gone, avg. idle cpu time lowered.
>
> Time will tell if it also fixed the random video hardware lockups I
> experienced.
>
> --
> NVRM: os_raise_smp_barrier(), invalid context!
> https://bugs.launchpad.net/bugs/656279
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: Triaged
>
> Bug description:
> dmesg output is full of these messages:
> NVRM: os_raise_smp_barrier(), invalid context!
>
> Other than the errors being spammed and dmesg being unusable, I do not
> notice any immediate problems with the nVidia driver.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: nvidia-current 260.19.06-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
> 04:29:19 PDT 2010
> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> Architecture: amd64
> Date: Thu Oct 7 14:39:24 2010
> DkmsStatus:
> nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
> nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
> GdmLog:
> Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed with
> exit code 1: QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch
> failed: No such file or directory
> QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
> Bus::open: Can not get ibus-daemon's address.
> IBusInputContext::createInputContext: no connection to ibus-daemon
> cat: /var/log/gdm/:0.log: No such file or directory
> GdmLog1: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.1']
> failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or
> directory
> GdmLog2: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.2']
> failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or
> directory
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.35-22-generic
> root=/dev/mapper/vg0-root ro splash
> ProcEnviron:
> LANGUAGE=
> LANG=C
> SHELL=/bin/bash
> SourcePackage: nvidia-graphics-drivers
> dmi.bios.date: 09/07/2010
> dmi.bios.vendor: Intel Corp.
> dmi.bios.version: TMIBX10H.86A.0039.2010.0907.1056
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: DQ57TM
> dmi.board.vendor: Intel Corporation
> dmi.board.version: AAE70931-401
> dmi.chassis.type: 3
> dmi.modalias:
> dmi:bvnIntelCorp.:bvrTMIBX10H.86A.0039.2010.0907.1056:bd09/07/2010:svntranstecAG:pn:pvr:rvnIntelCorporation:rnDQ57TM:rvrAAE70931-401:cvn:ct3:cvr:
> dmi.sys.vendor: transtec AG
> glxinfo: Error: [Errno 2] No such file or directory
> system:
> distro: Ubuntu
> codename: maverick
> architecture: x86_64
> kernel: 2.6.35-22-generic
>
> To unsubsc...

Read more...

Claudio Melis (mebitek) wrote :
Download full text (3.6 KiB)

mmm.... i do not know if it is the point.
i not load f.lux indicator applet (a tool that control lcd brightness/color
scheme) and after suspend all seems ok... need some days to test...

2010/10/28 mebitek <email address hidden>

> I upgraded my bios on my HP dv6-2129el to latest version.
> Now suspend / resume works better but system needs to reboot (cpu goes high
> and down on X now)
>
>
> 2010/10/24 Andrew Hutchings <email address hidden>
>
> On my Del E6510 upgraded Nvidia driver using:
>> https://launchpad.net/~ubuntu-x-swat/+archive/x-updates
>>
>> Messages gone, avg. idle cpu time lowered.
>>
>> Time will tell if it also fixed the random video hardware lockups I
>> experienced.
>>
>> --
>> NVRM: os_raise_smp_barrier(), invalid context!
>> https://bugs.launchpad.net/bugs/656279
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in “nvidia-graphics-drivers” package in Ubuntu: Triaged
>>
>> Bug description:
>> dmesg output is full of these messages:
>> NVRM: os_raise_smp_barrier(), invalid context!
>>
>> Other than the errors being spammed and dmesg being unusable, I do not
>> notice any immediate problems with the nVidia driver.
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 10.10
>> Package: nvidia-current 260.19.06-0ubuntu1
>> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
>> Uname: Linux 2.6.35-22-generic x86_64
>> NonfreeKernelModules: nvidia
>> .proc.driver.nvidia.version:
>> NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
>> 04:29:19 PDT 2010
>> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
>> Architecture: amd64
>> Date: Thu Oct 7 14:39:24 2010
>> DkmsStatus:
>> nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
>> nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
>> GdmLog:
>> Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed
>> with exit code 1: QInotifyFileSystemWatcherEngine::addPaths:
>> inotify_add_watch failed: No such file or directory
>> QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
>> Bus::open: Can not get ibus-daemon's address.
>> IBusInputContext::createInputContext: no connection to ibus-daemon
>> cat: /var/log/gdm/:0.log: No such file or directory
>> GdmLog1: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.1']
>> failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or
>> directory
>> GdmLog2: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.2']
>> failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or
>> directory
>> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.35-22-generic
>> root=/dev/mapper/vg0-root ro splash
>> ProcEnviron:
>> LANGUAGE=
>> LANG=C
>> SHELL=/bin/bash
>> SourcePackage: nvidia-graphics-drivers
>> dmi.bios.date: 09/07/2010
>> dmi.bios.vendor: Intel Corp.
>> dmi.bios.version: TMIBX10H.86A.0039.2010.0907.1056
>> dmi.board.asset.tag: To be filled by O.E.M.
>> dmi.board.name: DQ57TM
>> dmi.board.vendor: Intel Corporation
>> dmi.board.version: AAE70931-401
>> dmi.chassis.type: 3
>> dmi.modalias:
>> dmi:bvnIntelCorp.:bvrTMIBX10H.86A.0039.2010.0907.1056:bd09/07/2010:svntranstecAG:...

Read more...

Claudio Melis (mebitek) wrote :
Download full text (4.0 KiB)

ok guys....
i solved my problem for nvidia GT320M on HP pavillion dv6-2129el

I boot my system with acpi_sleep=nonvs, idle=poll parameters and I use the
latest nvidia drivers 260.19.12

all bugging messages on dmes desappear and my X is stable after resume!!!!

2010/10/28 mebitek <email address hidden>

> mmm.... i do not know if it is the point.
> i not load f.lux indicator applet (a tool that control lcd brightness/color
> scheme) and after suspend all seems ok... need some days to test...
>
> 2010/10/28 mebitek <email address hidden>
>
> I upgraded my bios on my HP dv6-2129el to latest version.
>> Now suspend / resume works better but system needs to reboot (cpu goes
>> high and down on X now)
>>
>>
>> 2010/10/24 Andrew Hutchings <email address hidden>
>>
>> On my Del E6510 upgraded Nvidia driver using:
>>> https://launchpad.net/~ubuntu-x-swat/+archive/x-updates
>>>
>>> Messages gone, avg. idle cpu time lowered.
>>>
>>> Time will tell if it also fixed the random video hardware lockups I
>>> experienced.
>>>
>>> --
>>> NVRM: os_raise_smp_barrier(), invalid context!
>>> https://bugs.launchpad.net/bugs/656279
>>> You received this bug notification because you are a direct subscriber
>>> of the bug.
>>>
>>> Status in “nvidia-graphics-drivers” package in Ubuntu: Triaged
>>>
>>> Bug description:
>>> dmesg output is full of these messages:
>>> NVRM: os_raise_smp_barrier(), invalid context!
>>>
>>> Other than the errors being spammed and dmesg being unusable, I do not
>>> notice any immediate problems with the nVidia driver.
>>>
>>> ProblemType: Bug
>>> DistroRelease: Ubuntu 10.10
>>> Package: nvidia-current 260.19.06-0ubuntu1
>>> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
>>> Uname: Linux 2.6.35-22-generic x86_64
>>> NonfreeKernelModules: nvidia
>>> .proc.driver.nvidia.version:
>>> NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
>>> 04:29:19 PDT 2010
>>> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
>>> Architecture: amd64
>>> Date: Thu Oct 7 14:39:24 2010
>>> DkmsStatus:
>>> nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
>>> nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
>>> GdmLog:
>>> Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed
>>> with exit code 1: QInotifyFileSystemWatcherEngine::addPaths:
>>> inotify_add_watch failed: No such file or directory
>>> QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
>>> Bus::open: Can not get ibus-daemon's address.
>>> IBusInputContext::createInputContext: no connection to ibus-daemon
>>> cat: /var/log/gdm/:0.log: No such file or directory
>>> GdmLog1: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.1']
>>> failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or
>>> directory
>>> GdmLog2: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.2']
>>> failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or
>>> directory
>>> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.35-22-generic
>>> root=/dev/mapper/vg0-root ro splash
>>> ProcEnviron:
>>> LANGUAGE=
>>> LANG=C
>>> SHELL=/bin/bash
>>> SourcePackage: nvidia-graphics-drivers
>>> dmi.b...

Read more...

Claudio Melis (mebitek) wrote :
Download full text (4.4 KiB)

after a lot of tests i find that all configuration (also this mentioned in
nvnews stability thread) give me the way to wake up correctly but i notice
some video slowdowns as I see in flash movies (normal or full screen).
I will test on 2.6.36 kernel...

2010/10/29 mebitek <email address hidden>

> ok guys....
> i solved my problem for nvidia GT320M on HP pavillion dv6-2129el
>
> I boot my system with acpi_sleep=nonvs, idle=poll parameters and I use the
> latest nvidia drivers 260.19.12
>
> all bugging messages on dmes desappear and my X is stable after resume!!!!
>
>
> 2010/10/28 mebitek <email address hidden>
>
>> mmm.... i do not know if it is the point.
>> i not load f.lux indicator applet (a tool that control lcd
>> brightness/color scheme) and after suspend all seems ok... need some days to
>> test...
>>
>> 2010/10/28 mebitek <email address hidden>
>>
>> I upgraded my bios on my HP dv6-2129el to latest version.
>>> Now suspend / resume works better but system needs to reboot (cpu goes
>>> high and down on X now)
>>>
>>>
>>> 2010/10/24 Andrew Hutchings <email address hidden>
>>>
>>> On my Del E6510 upgraded Nvidia driver using:
>>>> https://launchpad.net/~ubuntu-x-swat/+archive/x-updates
>>>>
>>>> Messages gone, avg. idle cpu time lowered.
>>>>
>>>> Time will tell if it also fixed the random video hardware lockups I
>>>> experienced.
>>>>
>>>> --
>>>> NVRM: os_raise_smp_barrier(), invalid context!
>>>> https://bugs.launchpad.net/bugs/656279
>>>> You received this bug notification because you are a direct subscriber
>>>> of the bug.
>>>>
>>>> Status in “nvidia-graphics-drivers” package in Ubuntu: Triaged
>>>>
>>>> Bug description:
>>>> dmesg output is full of these messages:
>>>> NVRM: os_raise_smp_barrier(), invalid context!
>>>>
>>>> Other than the errors being spammed and dmesg being unusable, I do not
>>>> notice any immediate problems with the nVidia driver.
>>>>
>>>> ProblemType: Bug
>>>> DistroRelease: Ubuntu 10.10
>>>> Package: nvidia-current 260.19.06-0ubuntu1
>>>> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
>>>> Uname: Linux 2.6.35-22-generic x86_64
>>>> NonfreeKernelModules: nvidia
>>>> .proc.driver.nvidia.version:
>>>> NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
>>>> 04:29:19 PDT 2010
>>>> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
>>>> Architecture: amd64
>>>> Date: Thu Oct 7 14:39:24 2010
>>>> DkmsStatus:
>>>> nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
>>>> nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
>>>> GdmLog:
>>>> Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed
>>>> with exit code 1: QInotifyFileSystemWatcherEngine::addPaths:
>>>> inotify_add_watch failed: No such file or directory
>>>> QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
>>>> Bus::open: Can not get ibus-daemon's address.
>>>> IBusInputContext::createInputContext: no connection to ibus-daemon
>>>> cat: /var/log/gdm/:0.log: No such file or directory
>>>> GdmLog1: Error: command ['kdesudo', '--', 'cat',
>>>> '/var/log/gdm/:0.log.1'] failed with exit code 1: cat:
>>>> /var/log/gdm/:0.log.1: No such file or directory
...

Read more...

Claudio Melis (mebitek) wrote :
Download full text (4.8 KiB)

I definitively understand the problem.
on i5 cpu systems as mine, if you disable logic cpu all will work fine.

I done:
echo 0 > /sys/devices/system/cpu/cpu1/online
echo 0 > /sys/devices/system/cpu/cpu3/online

and when I wake up my system all works fine and smooth (flash full screen
videos too)

2010/10/29 mebitek <email address hidden>

> after a lot of tests i find that all configuration (also this mentioned in
> nvnews stability thread) give me the way to wake up correctly but i notice
> some video slowdowns as I see in flash movies (normal or full screen).
> I will test on 2.6.36 kernel...
>
> 2010/10/29 mebitek <email address hidden>
>
> ok guys....
>> i solved my problem for nvidia GT320M on HP pavillion dv6-2129el
>>
>> I boot my system with acpi_sleep=nonvs, idle=poll parameters and I use the
>> latest nvidia drivers 260.19.12
>>
>> all bugging messages on dmes desappear and my X is stable after resume!!!!
>>
>>
>> 2010/10/28 mebitek <email address hidden>
>>
>>> mmm.... i do not know if it is the point.
>>> i not load f.lux indicator applet (a tool that control lcd
>>> brightness/color scheme) and after suspend all seems ok... need some days to
>>> test...
>>>
>>> 2010/10/28 mebitek <email address hidden>
>>>
>>> I upgraded my bios on my HP dv6-2129el to latest version.
>>>> Now suspend / resume works better but system needs to reboot (cpu goes
>>>> high and down on X now)
>>>>
>>>>
>>>> 2010/10/24 Andrew Hutchings <email address hidden>
>>>>
>>>> On my Del E6510 upgraded Nvidia driver using:
>>>>> https://launchpad.net/~ubuntu-x-swat/+archive/x-updates
>>>>>
>>>>> Messages gone, avg. idle cpu time lowered.
>>>>>
>>>>> Time will tell if it also fixed the random video hardware lockups I
>>>>> experienced.
>>>>>
>>>>> --
>>>>> NVRM: os_raise_smp_barrier(), invalid context!
>>>>> https://bugs.launchpad.net/bugs/656279
>>>>> You received this bug notification because you are a direct subscriber
>>>>> of the bug.
>>>>>
>>>>> Status in “nvidia-graphics-drivers” package in Ubuntu: Triaged
>>>>>
>>>>> Bug description:
>>>>> dmesg output is full of these messages:
>>>>> NVRM: os_raise_smp_barrier(), invalid context!
>>>>>
>>>>> Other than the errors being spammed and dmesg being unusable, I do not
>>>>> notice any immediate problems with the nVidia driver.
>>>>>
>>>>> ProblemType: Bug
>>>>> DistroRelease: Ubuntu 10.10
>>>>> Package: nvidia-current 260.19.06-0ubuntu1
>>>>> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
>>>>> Uname: Linux 2.6.35-22-generic x86_64
>>>>> NonfreeKernelModules: nvidia
>>>>> .proc.driver.nvidia.version:
>>>>> NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
>>>>> 04:29:19 PDT 2010
>>>>> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
>>>>> Architecture: amd64
>>>>> Date: Thu Oct 7 14:39:24 2010
>>>>> DkmsStatus:
>>>>> nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
>>>>> nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
>>>>> GdmLog:
>>>>> Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed
>>>>> with exit code 1: QInotifyFileSystemWatcherEngine::addPaths:
>>>>> inotify_add_watch failed: No such file or directory
>>>>> QFi...

Read more...

Claudio Melis (mebitek) wrote :

I write a little script that turn off/on locical cpu.
It must be launch before suspend:

locical_cpu.sh disable

and launch again after resume:

locical_cpu.sh enable

all should work fine as for me.

Rurik Krylov (rurikk) wrote :

Thank you, your solution works for me on Lenovo T510 with Nvidia NVS 3100M
It also works if I run 'locical_cpu.sh disable' and 'locical_cpu.sh enable' after resume.
My Chrome is very slow after resume and become fast after doing these scripts.

Claudio Melis (mebitek) wrote :
Download full text (3.4 KiB)

I tested on vanilla kernel 2.6.36 but I need always to disable/enable
logical cpu on suspend/resume.
I think that it is a kernel related problem cause i5/i7 family seems to not
be full supported on linux kernel (just see turbo boost and C*-state)

hope that this annoying problem will disappear as soon as possible...

2010/11/5 Rurik Krylov <email address hidden>

> Thank you, your solution works for me on Lenovo T510 with Nvidia NVS 3100M
> It also works if I run 'locical_cpu.sh disable' and 'locical_cpu.sh enable'
> after resume.
> My Chrome is very slow after resume and become fast after doing these
> scripts.
>
> --
> NVRM: os_raise_smp_barrier(), invalid context!
> https://bugs.launchpad.net/bugs/656279
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: Triaged
>
> Bug description:
> dmesg output is full of these messages:
> NVRM: os_raise_smp_barrier(), invalid context!
>
> Other than the errors being spammed and dmesg being unusable, I do not
> notice any immediate problems with the nVidia driver.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: nvidia-current 260.19.06-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
> 04:29:19 PDT 2010
> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> Architecture: amd64
> Date: Thu Oct 7 14:39:24 2010
> DkmsStatus:
> nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
> nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
> GdmLog:
> Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed with
> exit code 1: QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch
> failed: No such file or directory
> QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
> Bus::open: Can not get ibus-daemon's address.
> IBusInputContext::createInputContext: no connection to ibus-daemon
> cat: /var/log/gdm/:0.log: No such file or directory
> GdmLog1: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.1']
> failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or
> directory
> GdmLog2: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.2']
> failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or
> directory
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.35-22-generic
> root=/dev/mapper/vg0-root ro splash
> ProcEnviron:
> LANGUAGE=
> LANG=C
> SHELL=/bin/bash
> SourcePackage: nvidia-graphics-drivers
> dmi.bios.date: 09/07/2010
> dmi.bios.vendor: Intel Corp.
> dmi.bios.version: TMIBX10H.86A.0039.2010.0907.1056
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: DQ57TM
> dmi.board.vendor: Intel Corporation
> dmi.board.version: AAE70931-401
> dmi.chassis.type: 3
> dmi.modalias:
> dmi:bvnIntelCorp.:bvrTMIBX10H.86A.0039.2010.0907.1056:bd09/07/2010:svntranstecAG:pn:pvr:rvnIntelCorporation:rnDQ57TM:rvrAAE70931-401:cvn:ct3:cvr:
> dmi.sys.vendor: transtec AG
> glxinfo: Error: [Errno 2] No such fi...

Read more...

Claudio Melis (mebitek) wrote :

i tested new version of nvidia drivers (260.19.21) on kernel 2.6.36
and now it works without the trick of disabling logical cpu.
thx to nvidia!!!

jerryb (gerald-britton) wrote :

260.19.21 just made matters worse for me. I'm on AMD 64-bit desktop with a GeForce 7300 SE/7200 GS card. With this latest driver, I can't keep the machine going more than a few minutes before it hangs and then I have to REISUB to get it back again. I finally reverted to the old 173 driver -- too scared to run the newer one.

Øyvind Stegard (oyvinst) wrote :

All nvidia drivers from 256.X up to newest 260.91.21 are unusable for me on basically any kernel up to 2.6.37-rc2 (on Lucid x86-64, nvidia NVS 3100M, Dell E6510). I get "NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context" at suspend/resume + when switching to console, which eventually leads to hanging X. I got a thread going at nvnews.net (http://www.nvnews.net/vbulletin/showthread.php?t=157041 ), but have never received any official nvidia-response on these matters, which is not cool at all. This prevents me from upgrading to Maverick (since I'd need to upgrade nvidia driver in that process, because of new X server). Thumbs down nvidia.

Claudio Melis (mebitek) wrote :
Download full text (3.7 KiB)

@ Øyvind
have you try my script?
it disble logical cpu. before 260.19.21 I was unable to resume my laptop but
i I disable logical cpu before suspend and reneable after resume all works
fine. have a try.

2010/11/18 Øyvind Stegard <email address hidden>

> All nvidia drivers from 256.X up to newest 260.91.21 are unusable for me
> on basically any kernel up to 2.6.37-rc2 (on Lucid x86-64, nvidia NVS
> 3100M, Dell E6510). I get "NVRM: os_schedule: Attempted to yield the CPU
> while in atomic or interrupt context" at suspend/resume + when switching
> to console, which eventually leads to hanging X. I got a thread going at
> nvnews.net (http://www.nvnews.net/vbulletin/showthread.php?t=157041 ),
> but have never received any official nvidia-response on these matters,
> which is not cool at all. This prevents me from upgrading to Maverick
> (since I'd need to upgrade nvidia driver in that process, because of new
> X server). Thumbs down nvidia.
>
> --
> NVRM: os_raise_smp_barrier(), invalid context!
> https://bugs.launchpad.net/bugs/656279
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: Triaged
>
> Bug description:
> dmesg output is full of these messages:
> NVRM: os_raise_smp_barrier(), invalid context!
>
> Other than the errors being spammed and dmesg being unusable, I do not
> notice any immediate problems with the nVidia driver.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: nvidia-current 260.19.06-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
> 04:29:19 PDT 2010
> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> Architecture: amd64
> Date: Thu Oct 7 14:39:24 2010
> DkmsStatus:
> nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
> nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
> GdmLog:
> Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed with
> exit code 1: QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch
> failed: No such file or directory
> QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
> Bus::open: Can not get ibus-daemon's address.
> IBusInputContext::createInputContext: no connection to ibus-daemon
> cat: /var/log/gdm/:0.log: No such file or directory
> GdmLog1: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.1']
> failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or
> directory
> GdmLog2: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.2']
> failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or
> directory
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.35-22-generic
> root=/dev/mapper/vg0-root ro splash
> ProcEnviron:
> LANGUAGE=
> LANG=C
> SHELL=/bin/bash
> SourcePackage: nvidia-graphics-drivers
> dmi.bios.date: 09/07/2010
> dmi.bios.vendor: Intel Corp.
> dmi.bios.version: TMIBX10H.86A.0039.2010.0907.1056
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: DQ57TM
>...

Read more...

Andreas Nilsson (andrnils) wrote :
Download full text (7.2 KiB)

My thinkpad t510 does suspend and resume with standard kernel and nvidia
drivers on 10.10, but graphics are slow on resume.

I "adapted" Claudios script and put it in /etc/pm/sleep.d/10_nvidia-hack, so
it automaticlly gets run on suspend and resume.

Now graphics are snappy as on fresh boot, so it seems to be working.

Strange thing is that dmesg claims that in standard setup non-boot cpu's are
disabled on suspend, but that seems not to happen.

/Andreas

On Thu, Nov 18, 2010 at 4:47 PM, Claudio Melis <email address hidden> wrote:

> @ Øyvind
> have you try my script?
> it disble logical cpu. before 260.19.21 I was unable to resume my laptop
> but
> i I disable logical cpu before suspend and reneable after resume all works
> fine. have a try.
>
> 2010/11/18 Øyvind Stegard <email address hidden>
>
> > All nvidia drivers from 256.X up to newest 260.91.21 are unusable for me
> > on basically any kernel up to 2.6.37-rc2 (on Lucid x86-64, nvidia NVS
> > 3100M, Dell E6510). I get "NVRM: os_schedule: Attempted to yield the CPU
> > while in atomic or interrupt context" at suspend/resume + when switching
> > to console, which eventually leads to hanging X. I got a thread going at
> > nvnews.net (http://www.nvnews.net/vbulletin/showthread.php?t=157041 ),
> > but have never received any official nvidia-response on these matters,
> > which is not cool at all. This prevents me from upgrading to Maverick
> > (since I'd need to upgrade nvidia driver in that process, because of new
> > X server). Thumbs down nvidia.
> >
> > --
> > NVRM: os_raise_smp_barrier(), invalid context!
> > https://bugs.launchpad.net/bugs/656279
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in “nvidia-graphics-drivers” package in Ubuntu: Triaged
> >
> > Bug description:
> > dmesg output is full of these messages:
> > NVRM: os_raise_smp_barrier(), invalid context!
> >
> > Other than the errors being spammed and dmesg being unusable, I do not
> > notice any immediate problems with the nVidia driver.
> >
> > ProblemType: Bug
> > DistroRelease: Ubuntu 10.10
> > Package: nvidia-current 260.19.06-0ubuntu1
> > ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> > Uname: Linux 2.6.35-22-generic x86_64
> > NonfreeKernelModules: nvidia
> > .proc.driver.nvidia.version:
> > NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
> > 04:29:19 PDT 2010
> > GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> > Architecture: amd64
> > Date: Thu Oct 7 14:39:24 2010
> > DkmsStatus:
> > nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
> > nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
> > GdmLog:
> > Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed
> with
> > exit code 1: QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch
> > failed: No such file or directory
> > QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
> > Bus::open: Can not get ibus-daemon's address.
> > IBusInputContext::createInputContext: no connection to ibus-daemon
> > cat: /var/log/gdm/:0.log: No such file or directory
> > GdmLog1: Error: command ['kdesudo'...

Read more...

Soenke (s0enke) wrote :

Why is nvidia constantly fucking us...

Adam Felson (adamf11) wrote :
Download full text (3.2 KiB)

Their time machine doesn't work as well as yours. Do you expect them
to put out a new version of their drivers instantaneously every time
there's a new kernel release? Easy cure is to go back a kernel
version. If your hardware is less than a few days old, it won't be a
problem.

On Thu, Nov 18, 2010 at 1:34 PM, Soenke <email address hidden> wrote:
> Why is nvidia constantly fucking us...
>
> --
> NVRM: os_raise_smp_barrier(), invalid context!
> https://bugs.launchpad.net/bugs/656279
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nvidia-graphics-drivers” package in Ubuntu: Triaged
>
> Bug description:
> dmesg output is full of these messages:
> NVRM: os_raise_smp_barrier(), invalid context!
>
> Other than the errors being spammed and dmesg being unusable, I do not notice any immediate problems with the nVidia driver.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: nvidia-current 260.19.06-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
>  NVRM version: NVIDIA UNIX x86_64 Kernel Module  260.19.06  Mon Sep 13 04:29:19 PDT 2010
>  GCC version:  gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> Architecture: amd64
> Date: Thu Oct  7 14:39:24 2010
> DkmsStatus:
>  nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
>  nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
> GdmLog:
>  Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed with exit code 1: QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory
>  QFileSystemWatcher: failed to add paths: /home/alvin/.config/ibus/bus
>  Bus::open: Can not get ibus-daemon's address.
>  IBusInputContext::createInputContext: no connection to ibus-daemon
>  cat: /var/log/gdm/:0.log: No such file or directory
> GdmLog1: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.1'] failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or directory
> GdmLog2: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.2'] failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or directory
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.35-22-generic root=/dev/mapper/vg0-root ro splash
> ProcEnviron:
>  LANGUAGE=
>  LANG=C
>  SHELL=/bin/bash
> SourcePackage: nvidia-graphics-drivers
> dmi.bios.date: 09/07/2010
> dmi.bios.vendor: Intel Corp.
> dmi.bios.version: TMIBX10H.86A.0039.2010.0907.1056
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: DQ57TM
> dmi.board.vendor: Intel Corporation
> dmi.board.version: AAE70931-401
> dmi.chassis.type: 3
> dmi.modalias: dmi:bvnIntelCorp.:bvrTMIBX10H.86A.0039.2010.0907.1056:bd09/07/2010:svntranstecAG:pn:pvr:rvnIntelCorporation:rnDQ57TM:rvrAAE70931-401:cvn:ct3:cvr:
> dmi.sys.vendor: transtec AG
> glxinfo: Error: [Errno 2] No such file or directory
> system:
>  distro:             Ubuntu
>  codename:           maverick
>  architecture:       x86_64
>  kernel:             2.6.35-22-generic
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/n...

Read more...

jerryb (gerald-britton) wrote :

fwiw My issue is unrelated to suspend/resume. With the 260.19.21 driver I boot up, start firefox and a minute or two later bam! The bug hits and my system freezes.

Øyvind Stegard (oyvinst) wrote :

Claudio Melis <email address hidden> writes:

> @ Øyvind
> have you try my script?
> it disble logical cpu. before 260.19.21 I was unable to resume my laptop but
> i I disable logical cpu before suspend and reneable after resume all works
> fine. have a try.

I am assuming you mean that disabling hyperthreading logical CPUs help
on these issues ? Well, it does not make much difference here.
Suspend/resume works, but console switch is broken, triggering these
rather scary scheduling errors (and it's still broken when taking
ht-CPUs offline first). And console switch issues can probably affect
suspend/resume in bad ways.

Also tried enabling message signalled interrupt for the nvidia device,
but that does not change anything, so went back to default. I'll be
heading back to 195.X and officially give up until some new nvidia
driver release appears, since the problem is the same across several
kernel releases, up to the very latest.

>
> 2010/11/18 Øyvind Stegard <email address hidden>

[...]

>> 3100M, Dell E6510). I get "NVRM: os_schedule: Attempted to yield the CPU
>> while in atomic or interrupt context" at suspend/resume + when switching
>> to console, which eventually leads to hanging X. I got a thread going at

[...]

ubuntic (ubuntic) wrote :

Hello here,

on my laptop Asus UL30VT same problems: NVRM: os_raise_smp_barrier(), invalid context!
The laptop has two graphiccards, but i use only the nvidia

I can't see any freez, i only get the message above every few seconds.

System:
Ubuntu Maverick with nevest updates and the nevest graphicdriver nvidia-current 260.19.06-0ubuntu1
Linux top 2.6.35-23-generic #40-Ubuntu SMP Wed Nov 17 22:14:33 UTC 2010 x86_64 GNU/Linux
Intel Core 2 Duo SU7300 Prozessor (Dual-Core) (1,3 GHz, 3 MB Cache, 800 MHz FSB)
Chipsatz: Intel GS 45
Graphic: NVIDIA GeForce G 210M Grafik 512 MB VRAM (nVidia Corporation GT218 [GeForce G210M] (rev a2))
Ram: 4 GB DDR3 SO-DIMM
HDD: 320 GB SATA, Hitachi?, No cd-rom
Display: 13.3 Zoll HD Glare Type 16:9 Display 1.366 x 768 Pixel (16:10)

LinuxSeeker (intel-comcast) wrote :

NVRM: os_raise_smp_barrier(), invalid context! every few seconds.

Every 12 mins or so, my mplayer video slows WAY DOWN (audio continues normal) for 30 seconds, then the video goes really fast and syncs back up with the audio. Seems related to the NVRM problem.

I got many random freezes requiring hard-reset on Jaunty Jackalope systems during anything mildly graphic intensive, including Firefox scroll of a page with a few medium sized pictures. mplayer problem did not happen on that older system.

I get limited freezes on 10.10 (Ubuntu 2.6.35-23.41-generic 2.6.35.7) lasting 45 seconds (Xorg at 100%) when using dual head screensavers.

I have NO suspend/resume problems. (my wife's Jaunty Jakalope suspend does not work)

My NVIDIA card is an ASUS ENGT240 (the infamous GeForce GT240 chipset) using the 260.19.06 driver x86_64.
I tried to install a newer driver but the NVIDIA install script FAILED. The new driver must go into the kernel somehow.
(How do I do that?)
Build Operating System: Linux 2.6.24-27-server x86_64 Ubuntu
MB is ASUS Crosshair III Formula with AMD 790FX/SB750
processor is AMD Phenom II X4 B55 using ASUS unlocked processors from an X2
no over-clocking, just the 2 processor unlocked to 4. Had all SAME problems before the unlock.

Same problem
GeForce GT 330M
2.6.35-24-generic-pae
Ubuntu 10.10
NVIDIA UNIX x86 Kernel Module 260.19.06 Mon Sep 13 06:35:06 PDT 2010

Martin Spacek (mspacek) wrote :

I have a Thinkpad W510 with nvidia driver 260.19.26 from xswat, running in amd64 maverick, stock 2.6.35-23 kernel. Whenever I resumed from suspend, I mostly noticed the graphics slowdown while (smooth) scrolling a PDF in evince. A reboot restored graphics performance. After reading this, as well as seemingly duplicate bug #671932, I went and disabled hyperthreading in the BIOS. Voila, no more slowdowns after resume! Haven't tried the 2.6.36 kernel yet (not too sure how) to confirm Claudio Melis's comment that disabling hyperthreading is no longer needed with that kernel.

Soenke (s0enke) wrote :

I experienced the same slowdown issues after resume. Even with 2.6.36-020636-generic kernel and 260.19.26 (Maverick x86_64 on a thinkpad t410 with GT218 [NVS 3100M]).

The hyperthreading workaround (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/671932/comments/6) works for me.

Jakob (jakob-leczinsky) wrote :

I'm also having these messages combinded with random freezes making the Ubuntu install on this computer totally unusable at the moment.

HP EliteBook 8440p
Ubuntu 10.10 (32 bit)
Nvidia 3100M
Intel I7
Nvidia driver: 260.19.06 and 260.19.29

Since I think its more of a driver bug (correct me if I'm wrong) I posted a detailed bug report in the Nvidia forums. It's comment #18 in this thread: http://www.nvnews.net/vbulletin/showthread.php?t=158172. Just tell me if you want the complete bug report posted here in Launchpad as well.

Jakob (jakob-leczinsky) wrote :

I think I've solved the problems on my machine. Shat seems to have solved the problem was to add "noacpi" and "noapm" to Grub.

I also ended up upgrading to a 64-bit Maverick and the 260.19.29 driver from the x-swat repository along the way...

Øyvind Stegard (oyvinst) wrote :

"NVRM: os_raise_smp_barrier(), invalid context!" is back with a vengeance in latest 270.18 beta nvidia driver on my setup. [Lucid x86-64, NVS 3100M]

fmyhr (fmyhr) wrote :

I can confirm Øyvind Stegard's report above:
Since upgrading my Maverick AMD64 G210 system yesterday from
nvidia-current (260.19.29-0ubuntu1~xup~maverick3) to 270.18-0ubuntu1~maverick~xup1
my log file is full of the "NVRM: os_raise_smp_barrier(), invalid context!" messages.

I haven't noticed any other ill effects, and in particular my system still suspends to and resumes from RAM without problems. But the log full of error messages is irritating and somewhat worrisome. I originally started using the Ubuntu-X packages to get rid of such errors that the Maverick Nvidia package caused.

I wonder why the Ubuntu-X community decided to package this *beta* 270.18 release rather than the current stable 260.19.36? This decision seems to violate the stated purpose of Ubuntu-X:

https://launchpad.net/~ubuntu-x-swat/+archive/x-update
"This PPA is for stable upstream releases of X.org components. If you're looking for something even more bleeding-edge, please see the xorg-edgers PPA."

IOW, it would seem that 270.18 should have gone to xorg-edgers, and Ubuntu-X should have gone to 260.19.36 (or simply remained at the previously-released 260.19.29). I guess there's a reason I'm unaware of that Ubuntu-X went straight to the beta 270.18. But it would be nice if they could somehow indicate that it is a *beta* release so that we end-users would be more cautious than usual about upgrading. Could the release be called something like "270.18-0beta-ubuntu1~maverick~xup1"?

It would also be nice if Ubuntu-X could keep 2 versions of released drivers: the current one, and the previous one. That would help people roll back in case of problems like the above.

Claudio Melis (mebitek) wrote :
Download full text (4.7 KiB)

same behavior on my machine with ubuntu 10.10
I notice to u that if i disable logical cpu and then re-enable e
suppress os_raise_smp_barrier spamming message

2011/1/25 fmyhr <email address hidden>

> I can confirm Øyvind Stegard's report above:
> Since upgrading my Maverick AMD64 G210 system yesterday from
> nvidia-current (260.19.29-0ubuntu1~xup~maverick3) to
> 270.18-0ubuntu1~maverick~xup1
> my log file is full of the "NVRM: os_raise_smp_barrier(), invalid context!"
> messages.
>
> I haven't noticed any other ill effects, and in particular my system
> still suspends to and resumes from RAM without problems. But the log
> full of error messages is irritating and somewhat worrisome. I
> originally started using the Ubuntu-X packages to get rid of such errors
> that the Maverick Nvidia package caused.
>
> I wonder why the Ubuntu-X community decided to package this *beta*
> 270.18 release rather than the current stable 260.19.36? This decision
> seems to violate the stated purpose of Ubuntu-X:
>
> https://launchpad.net/~ubuntu-x-swat/+archive/x-update
> "This PPA is for stable upstream releases of X.org components. If you're
> looking for something even more bleeding-edge, please see the xorg-edgers
> PPA."
>
> IOW, it would seem that 270.18 should have gone to xorg-edgers, and
> Ubuntu-X should have gone to 260.19.36 (or simply remained at the
> previously-released 260.19.29). I guess there's a reason I'm unaware of
> that Ubuntu-X went straight to the beta 270.18. But it would be nice if
> they could somehow indicate that it is a *beta* release so that we end-
> users would be more cautious than usual about upgrading. Could the
> release be called something like "270.18-0beta-ubuntu1~maverick~xup1"?
>
> It would also be nice if Ubuntu-X could keep 2 versions of released
> drivers: the current one, and the previous one. That would help people
> roll back in case of problems like the above.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/656279
>
> Title:
> NVRM: os_raise_smp_barrier(), invalid context!
>
> Status in “nvidia-graphics-drivers” package in Ubuntu:
> Triaged
>
> Bug description:
> dmesg output is full of these messages:
> NVRM: os_raise_smp_barrier(), invalid context!
>
> Other than the errors being spammed and dmesg being unusable, I do not
> notice any immediate problems with the nVidia driver.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: nvidia-current 260.19.06-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.06 Mon Sep 13
> 04:29:19 PDT 2010
> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> Architecture: amd64
> Date: Thu Oct 7 14:39:24 2010
> DkmsStatus:
> nvidia-current, 260.19.06, 2.6.32-25-generic, x86_64: built
> nvidia-current, 260.19.06, 2.6.35-22-generic, x86_64: installed
> GdmLog:
> Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed
> with exit code 1: QInotifyFileSystemWatcherEngin...

Read more...

Øyvind Stegard (oyvinst) wrote :

Claudio Melis <email address hidden> writes:

> same behavior on my machine with ubuntu 10.10
> I notice to u that if i disable logical cpu and then re-enable e
> suppress os_raise_smp_barrier spamming message

Tried this. The messages still appear after disabling/enabling
hyperthreading logical processors.. Despite these messages appearing
though, stability seems OK. I can suspend/resume and play
OpenGL-intensive games without issue.

The one thing I cannot do with any newer nvidia driver is enabling
Compiz-vsync, that causes more severe errors to appear and triggers X
freezes and crashes.. Weird.

jerryb (gerald-britton) wrote :

Does anyone have a similar workaround for AMD X2 processors?

I have the same problem:

Mar 7 00:46:25 iv-desktop kernel: [11866.787712] NVRM: os_raise_smp_barrier(), invalid context!

AMD Athlon II X4 635
Nvidia G210, driver 260.19.06

fmyhr (fmyhr) wrote :

I'm pleased to report that since upgrading from
nvidia-current (270.18-0ubuntu1~maverick~xup1) to 270.29-0ubuntu1~maverick~xup2
the pesky "NVRM: os_raise_smp_barrier(), invalid context!" no longer appear in my system log.

@Ivan Kravchenko:
I also experienced the error messages with the 260.19.06 driver. You can get the latest stable nvidia driver from the Ubuntu-X team, add the PPA from:
https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

With nvidia-current 270.29-0ubuntu1~maverick~xup2

This problem has gone. Thanks!

Ditto.

Soenke (s0enke) wrote :

Cannot acknowledge. There are no messages in syslog anymore but the disable-cpu hack is still neccessary for me. (fresh install of natty with 270.41.06-0ubuntu1). Otherwise chrome get laggy again after resume. The cpu-hack also fucks up virtualbox after resume. Meh :-(

Extender (msveshnikov) on 2011-05-07
Changed in nvidia-graphics-drivers (Ubuntu):
status: Triaged → Fix Released
Soenke (s0enke) wrote :

If this is "fixed", then #671932 is no duplicate because the the bug still up and alive and renders suspend/resume unusable. Also nvidia does not react in their own bug report: http://www.nvnews.net/vbulletin/showthread.php?t=158091&page=3

Mark Fraser (launchpad-mfraz) wrote :

Started seeing this recently with Kubuntu 11.04 and 275.09.04-natty.

To post a comment you must log in.